NX Open C++ Reference Guide
|
Represents a Pierce Task feature builder
To create a new instance of this class, use Die::DieCollection::PierceTask
Created in NX4.0.0.
More...
Public Types | |
enum | CamTypes { CamTypesDirect = 2, CamTypesAerial = 0, CamTypesBaseMounted } |
Settings for the cam type of the pierce task. More... | |
enum | CenterPointOptionTypes { CenterPointOptionTypesNone, CenterPointOptionTypesDie, CenterPointOptionTypesProduct, CenterPointOptionTypesBoth } |
Settings for the center point output options of the pierce task. More... | |
enum | PrecisionTypes { PrecisionTypesGage, PrecisionTypesCritical, PrecisionTypesStandard } |
Settings for the precistion type of the pierce task. More... | |
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance of the pierce task Created in NX4.0.0. | |
NXOpen::SelectNXObjectList * | AssociatedObjects () |
Returns the assoc objects Created in NX5.0.0. | |
NXOpen::ILocation * | CamDirection () |
Returns the cam direction of the pierce task Created in NX4.0.0. | |
NXOpen::Die::PierceTaskBuilder::CamTypes | CamType () |
Returns the cam type of the pierce task Created in NX4.0.0. | |
NXOpen::Die::PierceTaskBuilder::CenterPointOptionTypes | CenterPointOption () |
Returns the center point output option of the pierce task Created in NX5.0.0. | |
bool | CreateScrap () |
Returns the create scrap setting of the pierce task. | |
double | DistanceTolerance () |
Returns the distance tolerance of the pierce task Created in NX4.0.0. | |
bool | FinishOperation () |
Returns the finish operation of the pierce task True indicates the pierce is to be a finish pierce. | |
std::vector < NXOpen::DisplayableObject * > | GetAssociativeObjects () |
Gets the associative objects of the pierce task. | |
std::vector< NXString > | GetCameraLayerAndXmlp (std::vector< NXString > &xmlpData) |
Gets the camera layer settings and xmlp data. | |
std::vector< NXString > | GetCameraNames () |
Gets the names of the camera. | |
std::vector< NXOpen::View * > | GetCameraViews () |
Gets the camera views of the pierce task. | |
std::vector< NXString > | GetDetails () |
Gets the detailed description of the pierce task. | |
std::vector< NXOpen::IProfile * > | GetPierceBounds (NXOpen::Die::DirectionOption *direction) |
Gets the pierce bounds of the pierce task. | |
bool | LayoutFlange () |
Returns the layout flange setting of the pierce task. | |
NXOpen::Die::PierceItemBuilder * | NewPierceHole (NXOpen::Die::PierceItemBuilder::HoleShapeType holeShape) |
Creates a new pierce hole item in the set. | |
NXOpen::ScCollector * | PierceHoles () |
Returns the pierce holes Created in NX5.0.0. | |
NXOpen::Die::PierceItemBuilderList * | PierceHolesList () |
Returns the pierce holes list Created in NX5.0.0. | |
NXOpen::Die::PierceTaskBuilder::PrecisionTypes | PrecisionType () |
Returns the precision type of the pierce task Created in NX4.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance of the pierce task Created in NX4.0.0. | |
void | SetAssociativeObjects (const std::vector< NXOpen::DisplayableObject * > &objects) |
Sets the associative objects of the pierce task Created in NX4.0.0. | |
void | SetCamDirection (NXOpen::ILocation *camDirection) |
Sets the cam direction of the pierce task Created in NX4.0.0. | |
void | SetCameraLayerAndXmlp (std::vector< NXString > &layerSettings, std::vector< NXString > &xmlpData) |
Sets the camera layer settings and xmlp data Created in NX4.0.0. | |
void | SetCameraNames (std::vector< NXString > &strings) |
Sets the names of the camera Created in NX4.0.0. | |
void | SetCameraViews (const std::vector< NXOpen::View * > &objects) |
Sets the camera views of the pierce task Created in NX4.0.0. | |
void | SetCamType (NXOpen::Die::PierceTaskBuilder::CamTypes camType) |
Sets the cam type of the pierce task Created in NX4.0.0. | |
void | SetCenterPointOption (NXOpen::Die::PierceTaskBuilder::CenterPointOptionTypes centerPointOption) |
Sets the center point output option of the pierce task Created in NX5.0.0. | |
void | SetCreateScrap (bool createScrap) |
Sets the create scrap setting of the pierce task. | |
void | SetDetails (std::vector< NXString > &strings) |
Sets the detailed description of the pierce task Created in NX4.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance of the pierce task Created in NX4.0.0. | |
void | SetFinishOperation (bool finishOperation) |
Sets the finish operation of the pierce task True indicates the pierce is to be a finish pierce. | |
void | SetLayoutFlange (bool layoutFlange) |
Sets the layout flange setting of the pierce task. | |
void | SetPierceBounds (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries) |
Sets the pierce bounds of the pierce task. | |
void | SetPrecisionType (NXOpen::Die::PierceTaskBuilder::PrecisionTypes precisionType) |
Sets the precision type of the pierce task Created in NX4.0.0. | |
void | SetTippedProduct (NXOpen::Features::Feature *tippedProduct) |
Sets the tipped product of the pierce task Created in NX4.0.0. | |
NXOpen::Features::SelectFeature * | TipFeature () |
Returns the tip feature Created in NX5.0.0. | |
NXOpen::Features::Feature * | TippedProduct () |
Returns the tipped product of the pierce task Created in NX4.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Pierce Task feature builder
To create a new instance of this class, use Die::DieCollection::PierceTask
Created in NX4.0.0.
Settings for the cam type of the pierce task.
CamTypesBaseMounted |
Base Mounted Cam. |
Settings for the center point output options of the pierce task.
double NXOpen::Die::PierceTaskBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::SelectNXObjectList* NXOpen::Die::PierceTaskBuilder::AssociatedObjects | ( | ) |
Returns the assoc objects
Created in NX5.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::ILocation* NXOpen::Die::PierceTaskBuilder::CamDirection | ( | ) |
Returns the cam direction of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Die::PierceTaskBuilder::CamTypes NXOpen::Die::PierceTaskBuilder::CamType | ( | ) |
Returns the cam type of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Die::PierceTaskBuilder::CenterPointOptionTypes NXOpen::Die::PierceTaskBuilder::CenterPointOption | ( | ) |
Returns the center point output option of the pierce task
Created in NX5.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Die::PierceTaskBuilder::CreateScrap | ( | ) |
Returns the create scrap setting of the pierce task.
True indicates that the scrap is to be created.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::PierceTaskBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Die::PierceTaskBuilder::FinishOperation | ( | ) |
Returns the finish operation of the pierce task True indicates the pierce is to be a finish pierce.
False indicates rough pierce.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
std::vector<NXOpen::DisplayableObject *> NXOpen::Die::PierceTaskBuilder::GetAssociativeObjects | ( | ) |
Gets the associative objects of the pierce task.
std::vector<NXString> NXOpen::Die::PierceTaskBuilder::GetCameraLayerAndXmlp | ( | std::vector< NXString > & | xmlpData | ) |
Gets the camera layer settings and xmlp data.
xmlpData | xmlp data |
std::vector<NXString> NXOpen::Die::PierceTaskBuilder::GetCameraNames | ( | ) |
Gets the names of the camera.
std::vector<NXOpen::View *> NXOpen::Die::PierceTaskBuilder::GetCameraViews | ( | ) |
Gets the camera views of the pierce task.
std::vector<NXString> NXOpen::Die::PierceTaskBuilder::GetDetails | ( | ) |
Gets the detailed description of the pierce task.
std::vector<NXOpen::IProfile *> NXOpen::Die::PierceTaskBuilder::GetPierceBounds | ( | NXOpen::Die::DirectionOption * | direction | ) |
Gets the pierce bounds of the pierce task.
direction | Profile direction |
bool NXOpen::Die::PierceTaskBuilder::LayoutFlange | ( | ) |
Returns the layout flange setting of the pierce task.
True indicates that the pierce curve is to be laid out on the flange.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Die::PierceItemBuilder* NXOpen::Die::PierceTaskBuilder::NewPierceHole | ( | NXOpen::Die::PierceItemBuilder::HoleShapeType | holeShape | ) |
Creates a new pierce hole item in the set.
holeShape | hole shape |
NXOpen::ScCollector* NXOpen::Die::PierceTaskBuilder::PierceHoles | ( | ) |
Returns the pierce holes
Created in NX5.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Die::PierceItemBuilderList* NXOpen::Die::PierceTaskBuilder::PierceHolesList | ( | ) |
Returns the pierce holes list
Created in NX5.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Die::PierceTaskBuilder::PrecisionTypes NXOpen::Die::PierceTaskBuilder::PrecisionType | ( | ) |
Returns the precision type of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
void NXOpen::Die::PierceTaskBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
angleTolerance | angle tolerance |
void NXOpen::Die::PierceTaskBuilder::SetAssociativeObjects | ( | const std::vector< NXOpen::DisplayableObject * > & | objects | ) |
Sets the associative objects of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
objects | objects |
void NXOpen::Die::PierceTaskBuilder::SetCamDirection | ( | NXOpen::ILocation * | camDirection | ) |
Sets the cam direction of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
camDirection | cam direction |
void NXOpen::Die::PierceTaskBuilder::SetCameraLayerAndXmlp | ( | std::vector< NXString > & | layerSettings, |
std::vector< NXString > & | xmlpData | ||
) |
Sets the camera layer settings and xmlp data
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
layerSettings | 1 layer setting string for each camera object. the string needs to be 256 characters long (one for each user layer) with either 0 for off or 1 for on. NOTE: The full Unicode character set is not supported for this parameter. |
xmlpData | xmlp data |
void NXOpen::Die::PierceTaskBuilder::SetCameraNames | ( | std::vector< NXString > & | strings | ) |
Sets the names of the camera
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
strings | each string contains the name of a camera object NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::PierceTaskBuilder::SetCameraViews | ( | const std::vector< NXOpen::View * > & | objects | ) |
Sets the camera views of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
objects | objects |
void NXOpen::Die::PierceTaskBuilder::SetCamType | ( | NXOpen::Die::PierceTaskBuilder::CamTypes | camType | ) |
Sets the cam type of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
camType | cam type |
void NXOpen::Die::PierceTaskBuilder::SetCenterPointOption | ( | NXOpen::Die::PierceTaskBuilder::CenterPointOptionTypes | centerPointOption | ) |
Sets the center point output option of the pierce task
Created in NX5.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
centerPointOption | center point option |
void NXOpen::Die::PierceTaskBuilder::SetCreateScrap | ( | bool | createScrap | ) |
Sets the create scrap setting of the pierce task.
True indicates that the scrap is to be created.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
createScrap | create scrap |
void NXOpen::Die::PierceTaskBuilder::SetDetails | ( | std::vector< NXString > & | strings | ) |
Sets the detailed description of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
strings | detail strings NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::PierceTaskBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
distanceTolerance | distance tolerance |
void NXOpen::Die::PierceTaskBuilder::SetFinishOperation | ( | bool | finishOperation | ) |
Sets the finish operation of the pierce task True indicates the pierce is to be a finish pierce.
False indicates rough pierce.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
finishOperation | finish operation |
void NXOpen::Die::PierceTaskBuilder::SetLayoutFlange | ( | bool | layoutFlange | ) |
Sets the layout flange setting of the pierce task.
True indicates that the pierce curve is to be laid out on the flange.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
layoutFlange | layout flange |
void NXOpen::Die::PierceTaskBuilder::SetPierceBounds | ( | NXOpen::Die::DirectionOption | direction, |
const std::vector< NXOpen::IProfile * > & | profileEntries | ||
) |
Sets the pierce bounds of the pierce task.
Note - @link Die::PierceTaskBuilder::SetTippedProduct Die::PierceTaskBuilder::SetTippedProduct@endlink needs to be called before this function.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
direction | Profile direction |
profileEntries | Profile entries that make up the boundary of the pierce task |
void NXOpen::Die::PierceTaskBuilder::SetPrecisionType | ( | NXOpen::Die::PierceTaskBuilder::PrecisionTypes | precisionType | ) |
Sets the precision type of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
precisionType | precision type |
void NXOpen::Die::PierceTaskBuilder::SetTippedProduct | ( | NXOpen::Features::Feature * | tippedProduct | ) |
Sets the tipped product of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
tippedProduct | The tip of the operation where the pierce task resides. |
NXOpen::Features::SelectFeature* NXOpen::Die::PierceTaskBuilder::TipFeature | ( | ) |
Returns the tip feature
Created in NX5.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Features::Feature* NXOpen::Die::PierceTaskBuilder::TippedProduct | ( | ) |
Returns the tipped product of the pierce task
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")